
Core - Bug # 63898

Status: Closed Priority: Should have
Author: Stefan Busemann Category: Extension Manager
Created: 2014-12-15 Assigned To:
Updated: 2015-07-28 Due date:
TYPO3 Version: 7
PHP Version:
Complexity: medium
Is Regression: No
Sprint Focus:
Subject: update function does not warn prominently about locally changed files
Description

relatet to #28358

If a file in an extension is changed locally, the EM should warn before overwriting the old version.

Related issues:
related to Core - Bug # 28358: New update function does not warn prominently ... Closed 2011-07-21

History
#1 - 2014-12-23 19:40 - Mathias Schreiber
- Target version changed from 7.0 to 7.1 (Cleanup)

#2 - 2014-12-23 19:51 - Mathias Schreiber
- Target version changed from 7.1 (Cleanup) to 7.3 (Packages)

#3 - 2015-06-15 17:08 - Benjamin Mack
- Target version changed from 7.3 (Packages) to 7.4 (Backend)

#4 - 2015-06-30 19:36 - Nicole Cordes
- Status changed from New to Needs Feedback

You can simply install the extension devtools to get a visible icon for changed extensions.

#5 - 2015-07-06 12:38 - Stefan Busemann

But is the installation of an external extension a solution for this issue? In my eyes, this is a critical funcionality, which should be covered by em and
(or) pm

#6 - 2015-07-07 09:52 - Alexander Opitz

Often the checksums were not updated so in the past you often had this hint but nothing really changed. So as user who only use extensions you were
lost.
If you are an integrator who updated extensions you should always set the extension state to 'excludeFromUpdates' in the ext_emconf.php (See 
http://docs.typo3.org/typo3cms/CoreApiReference/ExtensionArchitecture/DeclarationFile/Index.html ) so that no one updates the extension
accidentally. Course only you as integrator knows why and what was changed.
So IMHO no real use of the checksum hint in a default installation.
#7 - 2015-07-28 15:31 - Riccardo De Contardi
- Status changed from Needs Feedback to Closed

After a brief discussion with the core team, they agree that this functionality will not be included in the core and I therefore close the ticket; please use
the extension devtools to cover it. As Alexander Opitz suggests, if you want to exclude an extension from being updated, set its state to  
'excludeFromUpdates' in  ext_emconf.php.

If you think that this is the wrong decision, then please write to the mailing list typo3.teams.bugs with issue number and an explanation or open a new
ticket and add a relation to this ticket number.
